%define name    assogiate
%define version 0.2.1
%define release alt1
#%undefine __libtoolize

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        GNOME File Type Editor

Group:          Graphical desktop/GNOME
License:        GPL
URL:            http://www.kdau.com/projects/assogiate/
Packager: 	Vladimir Scherbaev <vladimir@altlinux.org>
Source0:        %{name}-%{version}.tar.bz2

# Automatically added by buildreq on Wed Dec 17 2008
BuildRequires: docbook-dtds gcc-c++ glibc-devel-static gnome-doc-utils-xslt gnome-doc-utils
BuildRequires: libgnome-vfsmm-devel libgtkmm2-devel libxml++2-devel perl-XML-Parser xsltproc

%description
assoGiate is an editor of the file types database for GNOME. It allows users to
modify the detection and display of file types.

%prep
%setup -q

%build
%configure

%make_build 

%install
#rm -rf $RPM_BUILD_ROOT
make install DESTDIR=%buildroot

#%clean
##rm -rf $RPM_BUILD_ROOT

%files
#%defattr(-,root,root,-)
%doc AUTHORS ChangeLog NEWS README* TODO
%_bindir/*
%_datadir/applications/*
%_datadir/gnome/help/*
%_datadir/icons/hicolor/22x22/apps/%name.png
%_datadir/icons/hicolor/24x24/apps/%name.png
%_datadir/icons/hicolor/scalable/apps/%name.svg
%_liconsdir/*
%_niconsdir/*
%_miconsdir/*
%_datadir/locale/*/LC_MESSAGES/assogiate.mo
%_man1dir/*
%_datadir/omf/assogiate/assogiate-C.omf
#/var/lib/scrollkeeper/*

%changelog
* Sun Nov 23 2008 Vladimir Scherbaev <vladimir@altlinux.org> 0.2.1-alt1
- Initial build

